Create an incident timestamp override

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

POST https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrideshttps://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrideshttps://api.datadoghq.eu/api/v2/incidents/{incident_id}/timestamp-overrideshttps://api.ddog-gov.com/api/v2/incidents/{incident_id}/timestamp-overrideshttps://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/timestamp-overrideshttps://api.uk1.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrideshttps://api.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrideshttps://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrideshttps://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrides

Overview

Create a timestamp override for an incident. This endpoint requires the incident_write permission.

OAuth apps require the incident_write authorization scope to access this endpoint.

Arguments

Path Parameters

Name

Type

Description

incident_id [required]

string

The UUID of the incident.

Request

Body Data (required)

Timestamp override payload.

Expand All

Field

Type

Description

data [required]

object

Timestamp override data in a create request.

attributes [required]

object

Attributes for creating a timestamp override.

timestamp_type [required]

enum

The type of timestamp to override. Allowed enum values: detected,resolved,declared

timestamp_value [required]

date-time

The overridden timestamp value.

type [required]

enum

Incident timestamp override resource type. Allowed enum values: incidents_timestamp_overrides

{
  "data": {
    "attributes": {
      "timestamp_type": "detected",
      "timestamp_value": "2024-01-01T10:00:00.000Z"
    },
    "type": "incidents_timestamp_overrides"
  }
}

Response

Created

Response with a single timestamp override.

Expand All

Field

Type

Description

data [required]

object

Timestamp override data in a response.

attributes [required]

object

Attributes of a timestamp override in a response.

created_at [required]

date-time

Timestamp when the override was created.

deleted_at

date-time

Timestamp when the override was deleted.

incident_id [required]

string

The incident identifier.

modified_at [required]

date-time

Timestamp when the override was last modified.

timestamp_type [required]

enum

The type of timestamp to override. Allowed enum values: detected,resolved,declared

timestamp_value [required]

date-time

The overridden timestamp value.

id [required]

uuid

The timestamp override identifier.

relationships

object

Relationships for a timestamp override.

created_by_user

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

last_modified_by_user

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

type [required]

enum

Incident timestamp override resource type. Allowed enum values: incidents_timestamp_overrides

included

[object]

Included related resources.

attributes

object

Attributes of user object returned by the API.

email

string

Email of the user.

handle

string

Handle of the user.

icon

string

URL of the user's icon.

name

string

Name of the user.

uuid

string

UUID of the user.

id

string

ID of the user.

type

enum

Users resource type. Allowed enum values: users

default: users

{
  "data": {
    "attributes": {
      "created_at": "2024-01-01T00:00:00.000Z",
      "deleted_at": null,
      "incident_id": "00000000-0000-0000-0000-000000000000",
      "modified_at": "2024-01-01T00:00:00.000Z",
      "timestamp_type": "detected",
      "timestamp_value": "2024-01-01T10:00:00.000Z"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "incidents_timestamp_overrides"
  },
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  ## default
# 

# Path parameters
export incident_id="CHANGE_ME"
# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/${incident_id}/timestamp-overrides" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "timestamp_type": "detected", "timestamp_value": "2024-01-01T10:00:00.000Z" }, "type": "incidents_timestamp_overrides" } } EOF